PrefixAwareTokenFilter (Lucene 3.6.2 API)
Keywords: org.apache.lucene.analysis.miscellaneous.PrefixAwareTokenFilter class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.analysis.miscellaneous
Class PrefixAwareTokenFilter

    java.lang.Object
      org.apache.lucene.util.AttributeSource
          org.apache.lucene.analysis.TokenStream
              org.apache.lucene.analysis.miscellaneous.PrefixAwareTokenFilter

All Implemented Interfaces:
  Closeable

    public class PrefixAwareTokenFilter

extends org.apache.lucene.analysis.TokenStream

Joins two token streams and leaves the last token of the first stream available to be used when updating the token values in the second stream based on that token. The default implementation adds last prefix token end offset to the suffix token start and end offsets.

NOTE: This filter might not behave correctly if used with custom Attributes, i.e. Attributes other than the ones located in org.apache.lucene.analysis.tokenattributes.

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.lucene.util.AttributeSource
`org.apache.lucene.util.AttributeSource.AttributeFactory, org.apache.lucene.util.AttributeSource.State`

Constructor Summary
`PrefixAwareTokenFilter(org.apache.lucene.analysis.TokenStream prefix, org.apache.lucene.analysis.TokenStream suffix)`

Method Summary
`void` | `close()`
`void` | `end()`
`org.apache.lucene.analysis.TokenStream` | `getPrefix()`
`org.apache.lucene.analysis.TokenStream` | `getSuffix()`
`boolean` | `incrementToken()`
`void` | `reset()`
`void` | `setPrefix(org.apache.lucene.analysis.TokenStream prefix)`
`void` | `setSuffix(org.apache.lucene.analysis.TokenStream suffix)`
`org.apache.lucene.analysis.Token` | `updateSuffixToken(org.apache.lucene.analysis.Token suffixToken, org.apache.lucene.analysis.Token lastPrefixToken)` The default implementation adds last prefix token end offset to the suffix token start and end offsets.

Methods inherited from class org.apache.lucene.util.AttributeSource
`addAttribute, addAttributeImpl, captureState, clearAttributes, cloneAttributes, copyTo, equals, getAttribute, getAttributeClassesIterator, getAttributeFactory, getAttributeImplsIterator, hasAttribute, hasAttributes, hashCode, reflectAsString, reflectWith, restoreState, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PrefixAwareTokenFilter

    public PrefixAwareTokenFilter(org.apache.lucene.analysis.TokenStream prefix,
                                  org.apache.lucene.analysis.TokenStream suffix)

Method Detail

### incrementToken

    public final boolean incrementToken()
                                 throws IOException

  Specified by:
    `incrementToken` in class `org.apache.lucene.analysis.TokenStream`
  Throws:
    `IOException`

### updateSuffixToken

    public org.apache.lucene.analysis.Token updateSuffixToken(org.apache.lucene.analysis.Token suffixToken,
                                                              org.apache.lucene.analysis.Token lastPrefixToken)

  The default implementation adds last prefix token end offset to the suffix token start and end offsets.

  Parameters:
    `suffixToken` - a token from the suffix stream
    `lastPrefixToken` - the last token from the prefix stream
  Returns:
    consumer token

### end

    public void end()
             throws IOException

  Overrides:
    `end` in class `org.apache.lucene.analysis.TokenStream`
  Throws:
    `IOException`

### close

    public void close()
               throws IOException

  Specified by:
    `close` in interface `Closeable`
  Overrides:
    `close` in class `org.apache.lucene.analysis.TokenStream`
  Throws:
    `IOException`

### reset

    public void reset()
               throws IOException

  Overrides:
    `reset` in class `org.apache.lucene.analysis.TokenStream`
  Throws:
    `IOException`

### getPrefix

    public org.apache.lucene.analysis.TokenStream getPrefix()

### setPrefix

    public void setPrefix(org.apache.lucene.analysis.TokenStream prefix)

### getSuffix

    public org.apache.lucene.analysis.TokenStream getSuffix()

### setSuffix

    public void setSuffix(org.apache.lucene.analysis.TokenStream suffix)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD